Package com.avaya.clientservices.agent

## Enum AgentError

- java.lang.Object
- - java.lang.Enum<AgentError>
  - - com.avaya.clientservices.agent.AgentError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AgentError>`

      public enum AgentError
      extends java.lang.Enum<AgentError>

  Represents all possible errors which could occur during AgentFeature interactions with signaling server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AGENT_AUTO_AVAILABLE` | Permission denied when agent tries to change work mode.
    `AGENT_BEING_COACHED` | Agent already being coached.
    `AGENT_BURN_OUT` | Work mode changes denied because agent is in maximum agent occupancy or burn-out mode.
    `AGENT_BUSY` | Add/remove skill while agent is busy.
    `AGENT_BUSY_ON_SKILL` | Agent Busy on Skill.
    `AGENT_LOGIN_ELSEWHERE` | Agent logged in at another location
    `AGENT_NOT_ADMINISTERED` | The agent is not administered on signalling server.
    `AGENT_NOT_LOGGED_IN` | When agent tries to change work mode while not logged in.
    `AGENT_NOT_MEASURED` | View status information is not available because agent is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).
    `AGENT_STATE_NOT_COACHABLE` | Wrong observed agent state.
    `AGENT_TENANT_NUMBER_ISSUE` | Agent Tenant Number Issue.
    `ALLOW_SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION` | Service Observing (SO) denied due to allow SO COR for SIP station extension being used not set to yes.
    `ALREADY_OBSERVED` | An observer is not allowed to activate service observing for a second observe.
    `ATTENDANT_CANNOT_OBSERVE` | An attendant is not allowed to activate service observing.
    `BEING_OBSERVED` | Attempted to initiate service observing from a station that is being observed by someone else.
    `BRIDGED_APPEARANCE` | A bridged appearance is not allowed to activate service observing.
    `CALL_ON_HOLD` | Agent has calls on hold.
    `CAN_NOT_CONTINUE_OBSERVING` | Observing session cancelled because of a not allowed action (e.g., hold of Service Observing CA) or CM cancelled a logged in agent session (forced log out or Interruptible Aux notification, etc.)
    `CANNOT_OBSERVE_YOURSELF` | Attempting to service observe your own extension or agent-loginID.
    `CM_AGENT_LOGIN_FAILURE` | Internal CM login call-processing failure.
    `CM_AGENT_LOGOUT_FAILURE` | Internal CM logout call-processing failure (including Agent on ACD call).
    `COACHING_CANCELED_AGENT_LOGGED_OUT` | Agent logged out.
    `COACHING_CANCELED_AGENT_STATE_NOT_COACHABLE` | Wrong observed agent state.
    `COACHING_CANCELED_ALREADY_COACHED_CONNECTION` | Agent connected to already coached agent.
    `CODES_UNDEFINED` | Error code undefined.
    `DATA_MODULE` | A data module is not allowed to activate service observing.
    `DATA_PRIVACY_ACTIVE` | Extension has Data Privacy Active on call.
    `DATA_RESTRICTION_ACTIVE` | Extension has Data Restriction.
    `DESTINATION_NOT_OBSERVABLE` | The observer is dropped from an observed connection (to extension or VDN) when the connection reaches an unobservable destination (e.g., not allowed to observe COR).
    `EAS_SKILL_CONFIG_PROBLEM` | Skill configuration problem.
    `EAS_SKILLS_DISABLED` | Expert Agent Selection (EAS) Skills Disabled.
    `EXCLUSION_ACTIVE` | Extension has Exclusion Active.
    `EXPERT_AGENT_SELECTION_DISABLED` | Expert Agent Selection Disabled.
    `EXTENSION_BEING_BUSY_VERIFIED` | Extension being busy-verified.
    `EXTENSION_HAS_SIX_PARTY_CONF` | Extension has a 6-party conference.
    `EXTENSION_IS_OBSERVER` | Extension is an observer.
    `FAILED_GENERIC` | Generic error message.
    `FAILED_TEMPORARY` | Temporary failure on the server side.
    `FORMAT_NOT_DEFINED` | View status information is not available because provided format for view status is not defined on signalling server.
    `GENERIC_LOGIN_FAILURE` | Generic login failure.
    `INTERNAL_ERROR` | Internal error try again.
    `INVALID_AGENT_ID` | Invalid Agent Id.
    `INVALID_CLASS_OF_SERVICE_RESTRICTION` | Invalid Class Of Restriction.
    `INVALID_EAS_LOGIN_ID` | Invalid Login ID entered.
    `INVALID_EAS_LOGIN_PASSWORD` | Invalid Login ID or Password entered.
    `INVALID_EAS_REASON_CODE` | Invalid Reason Code for aux-work or agent logout.
    `INVALID_EAS_SKILL` | Invalid EAS skill.
    `INVALID_EXTENSION` | Entered extension invalid.
    `INVALID_PARAMETER` | Invalid parameter.
    `INVALID_REASON_CODE` | Invalid reason code was provided.
    `INVALID_SERVICE_OBSERVING_ACTIVATION` | Invalid Service Observing activation.
    `INVALID_SKILL_LEVEL` | Invalid Skill Level.
    `INVALID_STATE` | Invalid state.
    `INVALID_USER` | Invalid User.
    `LISTEN_ONLY_OPTION_ACTIVE` | Cannot change to listen-talk because station option is set to listen-only.
    `LOGICAL_ID_ALREADY_OBSERVED` | Activation to physical with logical ID being observed.
    `MAX_AGENT_SKILLS_REACHED` | Max Agent Skills Reached.
    `MAX_NUM_ADVOCATE_AGENTS_LOGGED_IN` | Maximum number of Business Advocate Agents logged in.
    `MAX_NUM_AUTOMATIC_CALL_DISTRIBUTION_AGENTS_LOGGED_IN` | Maximum number of ACD Agents logged in.
    `MAX_NUM_BCMS_AGENTS_LOGGED_IN` | Maximum number of BCMS Agents logged in.
    `MAX_NUM_SIP_EAS_AGENTS_LOGGED_IN` | Maximum number of SIP EAS Agents logged in.
    `MAX_OBSERVERS_REACHED` | Station/logical agentID extension already observed (or two observers already observing extension with Allow Two Observers active).
    `MAX_VECTOR_DIRECTORY_NUMBER_OBSERVED` | Maximum VDNs being observed.
    `MEDIA_PRESERVATION` | Denied mode change.
    `MEET_ME_VECTOR_DIRECTORY_NUMBER` | Cannot observe a meet-me VDN.
    `MISSING_INFO` | One or more required entries missing.
    `NO_AVAIL_IDLE_CA` | No idle call appearance to connect to observed connection.
    `NO_DISCONNECT_SUPERVISION` | Attempted to initiate service observing from a trunk that does not have disconnect supervision.[remote service observing error?]
    `NO_TALK_OR_NO_CONNECTION_AVAIL` | Cannot change to coach mode because there is no observed connection or the No-Talk Service Observing type has been selected.
    `NOT_AUXILIARY` | Agent not in AUX Work.
    `NOT_OBSERVING_AGENT` | Not observing a local agent.
    `NOT_SUPPORTED` | Feature not supported.
    `OBSERVEE_AGENT_NOT_LOGGED_IN` | Entered to observe Logical agent ID not logged in.
    `ON_CALL` | Agent connected to a call.
    `OUT_OF_RANGE_SKILL_NUMBER` | Out Of Range Skill Number.
    `PERMISSION_DENIED` | Generic permission error.
    `PHYSICAL_STATION_ALREADY_OBSERVED` | Activation to logical with physical being observed.
    `RECEIVE_SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION` | Service Observing (SO) denied due to receive SO COR for entity to observe not set to yes.
    `REFERRAL_NOT_SUPPORTED` | Feature referral not supported.
    `REQUIRE_CALLER_WORK_CODE_OR_STROKE_COUNT_CODE` | The caller work code or stroke count code is not provided.
    `RESOURCE_ID_NOT_ALLOWED` | View status information is not available because said resource id is invalid.
    `SEND_ERROR` | Send error when a network message could not be sent due to a network connection error.
    `SEND_STATION_SERVER_FAILURE` | Send to Station Server Failure.
    `SERVICE_OBSERVING_BY_LOCATION_INVALID_LOCATION` | Service Observing VDN By location entered location number not valid.
    `SERVICE_OBSERVING_BY_LOCATION_INVALID_VECTOR_DIRECTORY_NUMBER` | Service Observing VDN By location entered VDN extension not a valid VDN.
    `SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION_MISMATCH` | Observing COR cannot observe COR of entered entity (COR Service Observing permissions mismatch).
    `SKILL_CHANGE_SAVE_FAILURE` | Skill Change Save Failed.
    `SKILL_NOT_ADMINISTERED` | The skill is not administered on signalling server.
    `SKILL_NOT_MEASURED` | View status information is not available because skill is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).
    `SKILL_TENANT_NUMBER_ISSUE` | Skill Tenant Number Issue.
    `STATION_ALREADY_HAS_AGENT_LOGGED_IN` | Physical station already has agent logged in.
    `SUPERVISOR_NOT_ADMINISTERED` | Supervisor (type of agent) is not administered on signalling server.
    `SUPERVISOR_NOT_AVAILABLE` | Supervisor (type of agent) is either or not available.
    `SYSTEM_ERROR` | System error.
    `TIMEOUT` | Timeout
    `TRANSFER_DIALTONE` | The observer is dropped from an observed connection when an attendant transfers the observed call to the ARS dial tone.
    `TRANSFER_NOT_OBSERVABLE` | The observer is dropped from an observed connection when the observee starts to do a transfer (presses the transfer button).
    `TRUNK_NOT_ADMINISTERED` | View status information is not available because the trunk is not configured on signalling server.
    `TRUNK_NOT_MEASURED` | View status information is not available because trunk is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).
    `VECTOR_DIRECTORY_NUMBER_NOT_ADMINISTERED` | View status information is not available because the Vector Directory Number (VDN) is not administered on signalling server.
    `VECTOR_DIRECTORY_NUMBER_NOT_MEASURED` | View status information is not available because Vector Directory Number (VDN) is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).
    `VECTOR_DIRECTORY_NUMBER_NOT_OPTIONED` | Observe VDNs not optioned.
    `WRONG_AGENT` | Wrong agent id or agent extension id.
    `WRONG_SERVICE_OBSERVING_MODE` | Wrong Service Observing mode.
    `WRONG_SKILL` | Agent add/remove wrong skill.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AgentError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AgentError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CODES_UNDEFINED

          public static final AgentError CODES_UNDEFINED

      Error code undefined.

    - #### FAILED_GENERIC

          public static final AgentError FAILED_GENERIC

      Generic error message.

    - #### INVALID_PARAMETER

          public static final AgentError INVALID_PARAMETER

      Invalid parameter.

    - #### INVALID_STATE

          public static final AgentError INVALID_STATE

      Invalid state.

    - #### NOT_SUPPORTED

          public static final AgentError NOT_SUPPORTED

      Feature not supported.

    - #### FAILED_TEMPORARY

          public static final AgentError FAILED_TEMPORARY

      Temporary failure on the server side.

    - #### SEND_ERROR

          public static final AgentError SEND_ERROR

      Send error when a network message could not be sent due to a network connection error.

    - #### PERMISSION_DENIED

          public static final AgentError PERMISSION_DENIED

      Generic permission error.

    - #### WRONG_AGENT

          public static final AgentError WRONG_AGENT

      Wrong agent id or agent extension id.

    - #### GENERIC_LOGIN_FAILURE

          public static final AgentError GENERIC_LOGIN_FAILURE

      Generic login failure.

    - #### MAX_NUM_BCMS_AGENTS_LOGGED_IN

          public static final AgentError MAX_NUM_BCMS_AGENTS_LOGGED_IN

      Maximum number of BCMS Agents logged in.

    - #### AGENT_LOGIN_ELSEWHERE

          public static final AgentError AGENT_LOGIN_ELSEWHERE

      Agent logged in at another location

    - #### MAX_NUM_SIP_EAS_AGENTS_LOGGED_IN

          public static final AgentError MAX_NUM_SIP_EAS_AGENTS_LOGGED_IN

      Maximum number of SIP EAS Agents logged in.

    - #### STATION_ALREADY_HAS_AGENT_LOGGED_IN

          public static final AgentError STATION_ALREADY_HAS_AGENT_LOGGED_IN

      Physical station already has agent logged in.

    - #### MAX_NUM_AUTOMATIC_CALL_DISTRIBUTION_AGENTS_LOGGED_IN

          public static final AgentError MAX_NUM_AUTOMATIC_CALL_DISTRIBUTION_AGENTS_LOGGED_IN

      Maximum number of ACD Agents logged in.

    - #### INVALID_EAS_LOGIN_PASSWORD

          public static final AgentError INVALID_EAS_LOGIN_PASSWORD

      Invalid Login ID or Password entered.

    - #### INVALID_EAS_LOGIN_ID

          public static final AgentError INVALID_EAS_LOGIN_ID

      Invalid Login ID entered.

    - #### INVALID_EAS_REASON_CODE

          public static final AgentError INVALID_EAS_REASON_CODE

      Invalid Reason Code for aux-work or agent logout.

    - #### MAX_NUM_ADVOCATE_AGENTS_LOGGED_IN

          public static final AgentError MAX_NUM_ADVOCATE_AGENTS_LOGGED_IN

      Maximum number of Business Advocate Agents logged in.

    - #### CM_AGENT_LOGOUT_FAILURE

          public static final AgentError CM_AGENT_LOGOUT_FAILURE

      Internal CM logout call-processing failure (including Agent on ACD call).

    - #### CM_AGENT_LOGIN_FAILURE

          public static final AgentError CM_AGENT_LOGIN_FAILURE

      Internal CM login call-processing failure.

    - #### EAS_SKILL_CONFIG_PROBLEM

          public static final AgentError EAS_SKILL_CONFIG_PROBLEM

      Skill configuration problem.

    - #### WRONG_SKILL

          public static final AgentError WRONG_SKILL

      Agent add/remove wrong skill.

    - #### INVALID_REASON_CODE

          public static final AgentError INVALID_REASON_CODE

      Invalid reason code was provided.

    - #### AGENT_BUSY

          public static final AgentError AGENT_BUSY

      Add/remove skill while agent is busy.

    - #### AGENT_NOT_LOGGED_IN

          public static final AgentError AGENT_NOT_LOGGED_IN

      When agent tries to change work mode while not logged in.

    - #### AGENT_AUTO_AVAILABLE

          public static final AgentError AGENT_AUTO_AVAILABLE

      Permission denied when agent tries to change work mode.

    - #### AGENT_BURN_OUT

          public static final AgentError AGENT_BURN_OUT

      Work mode changes denied because agent is in maximum agent occupancy or burn-out mode.

    - #### REQUIRE_CALLER_WORK_CODE_OR_STROKE_COUNT_CODE

          public static final AgentError REQUIRE_CALLER_WORK_CODE_OR_STROKE_COUNT_CODE

      The caller work code or stroke count code is not provided.

    - #### RESOURCE_ID_NOT_ALLOWED

          public static final AgentError RESOURCE_ID_NOT_ALLOWED

      View status information is not available because said resource id is invalid.

    - #### AGENT_NOT_ADMINISTERED

          public static final AgentError AGENT_NOT_ADMINISTERED

      The agent is not administered on signalling server.

    - #### SKILL_NOT_ADMINISTERED

          public static final AgentError SKILL_NOT_ADMINISTERED

      The skill is not administered on signalling server.

    - #### TRUNK_NOT_ADMINISTERED

          public static final AgentError TRUNK_NOT_ADMINISTERED

      View status information is not available because the trunk is not configured on signalling server.

    - #### VECTOR_DIRECTORY_NUMBER_NOT_ADMINISTERED

          public static final AgentError VECTOR_DIRECTORY_NUMBER_NOT_ADMINISTERED

      View status information is not available because the Vector Directory Number (VDN) is not administered on signalling server.

    - #### AGENT_NOT_MEASURED

          public static final AgentError AGENT_NOT_MEASURED

      View status information is not available because agent is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).

    - #### SKILL_NOT_MEASURED

          public static final AgentError SKILL_NOT_MEASURED

      View status information is not available because skill is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).

    - #### TRUNK_NOT_MEASURED

          public static final AgentError TRUNK_NOT_MEASURED

      View status information is not available because trunk is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).

    - #### VECTOR_DIRECTORY_NUMBER_NOT_MEASURED

          public static final AgentError VECTOR_DIRECTORY_NUMBER_NOT_MEASURED

      View status information is not available because Vector Directory Number (VDN) is not administered on signalling server for status monitoring (configurable by flag - measured = y/n).

    - #### FORMAT_NOT_DEFINED

          public static final AgentError FORMAT_NOT_DEFINED

      View status information is not available because provided format for view status is not defined on signalling server.

    - #### SUPERVISOR_NOT_ADMINISTERED

          public static final AgentError SUPERVISOR_NOT_ADMINISTERED

      Supervisor (type of agent) is not administered on signalling server.

    - #### SUPERVISOR_NOT_AVAILABLE

          public static final AgentError SUPERVISOR_NOT_AVAILABLE

      Supervisor (type of agent) is either or not available.

    - #### REFERRAL_NOT_SUPPORTED

          public static final AgentError REFERRAL_NOT_SUPPORTED

      Feature referral not supported.

    - #### INVALID_EXTENSION

          public static final AgentError INVALID_EXTENSION

      Entered extension invalid.

    - #### ALLOW_SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION

          public static final AgentError ALLOW_SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION

      Service Observing (SO) denied due to allow SO COR for SIP station extension being used not set to yes.

    - #### RECEIVE_SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION

          public static final AgentError RECEIVE_SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION

      Service Observing (SO) denied due to receive SO COR for entity to observe not set to yes.

    - #### SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION_MISMATCH

          public static final AgentError SERVICE_OBSERVING_CLASS_OF_SERVICE_RESTRICTION_MISMATCH

      Observing COR cannot observe COR of entered entity (COR Service Observing permissions mismatch).

    - #### OBSERVEE_AGENT_NOT_LOGGED_IN

          public static final AgentError OBSERVEE_AGENT_NOT_LOGGED_IN

      Entered to observe Logical agent ID not logged in.

    - #### PHYSICAL_STATION_ALREADY_OBSERVED

          public static final AgentError PHYSICAL_STATION_ALREADY_OBSERVED

      Activation to logical with physical being observed.

    - #### LOGICAL_ID_ALREADY_OBSERVED

          public static final AgentError LOGICAL_ID_ALREADY_OBSERVED

      Activation to physical with logical ID being observed.

    - #### DATA_RESTRICTION_ACTIVE

          public static final AgentError DATA_RESTRICTION_ACTIVE

      Extension has Data Restriction.

    - #### EXCLUSION_ACTIVE

          public static final AgentError EXCLUSION_ACTIVE

      Extension has Exclusion Active.

    - #### DATA_PRIVACY_ACTIVE

          public static final AgentError DATA_PRIVACY_ACTIVE

      Extension has Data Privacy Active on call.

    - #### MAX_OBSERVERS_REACHED

          public static final AgentError MAX_OBSERVERS_REACHED

      Station/logical agentID extension already observed (or two observers already observing extension with Allow Two Observers active).

    - #### EXTENSION_IS_OBSERVER

          public static final AgentError EXTENSION_IS_OBSERVER

      Extension is an observer.

    - #### EXTENSION_BEING_BUSY_VERIFIED

          public static final AgentError EXTENSION_BEING_BUSY_VERIFIED

      Extension being busy-verified.

    - #### EXTENSION_HAS_SIX_PARTY_CONF

          public static final AgentError EXTENSION_HAS_SIX_PARTY_CONF

      Extension has a 6-party conference.

    - #### VECTOR_DIRECTORY_NUMBER_NOT_OPTIONED

          public static final AgentError VECTOR_DIRECTORY_NUMBER_NOT_OPTIONED

      Observe VDNs not optioned.

    - #### MAX_VECTOR_DIRECTORY_NUMBER_OBSERVED

          public static final AgentError MAX_VECTOR_DIRECTORY_NUMBER_OBSERVED

      Maximum VDNs being observed.

    - #### SERVICE_OBSERVING_BY_LOCATION_INVALID_VECTOR_DIRECTORY_NUMBER

          public static final AgentError SERVICE_OBSERVING_BY_LOCATION_INVALID_VECTOR_DIRECTORY_NUMBER

      Service Observing VDN By location entered VDN extension not a valid VDN.

    - #### SERVICE_OBSERVING_BY_LOCATION_INVALID_LOCATION

          public static final AgentError SERVICE_OBSERVING_BY_LOCATION_INVALID_LOCATION

      Service Observing VDN By location entered location number not valid.

    - #### MISSING_INFO

          public static final AgentError MISSING_INFO

      One or more required entries missing.

    - #### LISTEN_ONLY_OPTION_ACTIVE

          public static final AgentError LISTEN_ONLY_OPTION_ACTIVE

      Cannot change to listen-talk because station option is set to listen-only.

    - #### NO_TALK_OR_NO_CONNECTION_AVAIL

          public static final AgentError NO_TALK_OR_NO_CONNECTION_AVAIL

      Cannot change to coach mode because there is no observed connection or the No-Talk Service Observing type has been selected.

    - #### NO_AVAIL_IDLE_CA

          public static final AgentError NO_AVAIL_IDLE_CA

      No idle call appearance to connect to observed connection.

    - #### TRANSFER_DIALTONE

          public static final AgentError TRANSFER_DIALTONE

      The observer is dropped from an observed connection when an attendant transfers the observed call to the ARS dial tone.

    - #### TRANSFER_NOT_OBSERVABLE

          public static final AgentError TRANSFER_NOT_OBSERVABLE

      The observer is dropped from an observed connection when the observee starts to do a transfer (presses the transfer button).

    - #### DESTINATION_NOT_OBSERVABLE

          public static final AgentError DESTINATION_NOT_OBSERVABLE

      The observer is dropped from an observed connection (to extension or VDN) when the connection reaches an unobservable destination (e.g., not allowed to observe COR).

    - #### CAN_NOT_CONTINUE_OBSERVING

          public static final AgentError CAN_NOT_CONTINUE_OBSERVING

      Observing session cancelled because of a not allowed action (e.g., hold of Service Observing CA) or CM cancelled a logged in agent session (forced log out or Interruptible Aux notification, etc.)

    - #### NO_DISCONNECT_SUPERVISION

          public static final AgentError NO_DISCONNECT_SUPERVISION

      Attempted to initiate service observing from a trunk that does not have disconnect supervision.[remote service observing error?]

    - #### BEING_OBSERVED

          public static final AgentError BEING_OBSERVED

      Attempted to initiate service observing from a station that is being observed by someone else.

    - #### ATTENDANT_CANNOT_OBSERVE

          public static final AgentError ATTENDANT_CANNOT_OBSERVE

      An attendant is not allowed to activate service observing.

    - #### BRIDGED_APPEARANCE

          public static final AgentError BRIDGED_APPEARANCE

      A bridged appearance is not allowed to activate service observing.

    - #### DATA_MODULE

          public static final AgentError DATA_MODULE

      A data module is not allowed to activate service observing.

    - #### ALREADY_OBSERVED

          public static final AgentError ALREADY_OBSERVED

      An observer is not allowed to activate service observing for a second observe.

    - #### CANNOT_OBSERVE_YOURSELF

          public static final AgentError CANNOT_OBSERVE_YOURSELF

      Attempting to service observe your own extension or agent-loginID.

    - #### MEET_ME_VECTOR_DIRECTORY_NUMBER

          public static final AgentError MEET_ME_VECTOR_DIRECTORY_NUMBER

      Cannot observe a meet-me VDN.

    - #### INTERNAL_ERROR

          public static final AgentError INTERNAL_ERROR

      Internal error try again.

    - #### NOT_AUXILIARY

          public static final AgentError NOT_AUXILIARY

      Agent not in AUX Work.

    - #### ON_CALL

          public static final AgentError ON_CALL

      Agent connected to a call.

    - #### CALL_ON_HOLD

          public static final AgentError CALL_ON_HOLD

      Agent has calls on hold.

    - #### INVALID_SERVICE_OBSERVING_ACTIVATION

          public static final AgentError INVALID_SERVICE_OBSERVING_ACTIVATION

      Invalid Service Observing activation.

    - #### AGENT_BEING_COACHED

          public static final AgentError AGENT_BEING_COACHED

      Agent already being coached.

    - #### COACHING_CANCELED_ALREADY_COACHED_CONNECTION

          public static final AgentError COACHING_CANCELED_ALREADY_COACHED_CONNECTION

      Agent connected to already coached agent.

    - #### NOT_OBSERVING_AGENT

          public static final AgentError NOT_OBSERVING_AGENT

      Not observing a local agent.

    - #### WRONG_SERVICE_OBSERVING_MODE

          public static final AgentError WRONG_SERVICE_OBSERVING_MODE

      Wrong Service Observing mode.

    - #### AGENT_STATE_NOT_COACHABLE

          public static final AgentError AGENT_STATE_NOT_COACHABLE

      Wrong observed agent state.

    - #### COACHING_CANCELED_AGENT_STATE_NOT_COACHABLE

          public static final AgentError COACHING_CANCELED_AGENT_STATE_NOT_COACHABLE

      Wrong observed agent state.

    - #### COACHING_CANCELED_AGENT_LOGGED_OUT

          public static final AgentError COACHING_CANCELED_AGENT_LOGGED_OUT

      Agent logged out.

    - #### MEDIA_PRESERVATION

          public static final AgentError MEDIA_PRESERVATION

      Denied mode change.

    - #### SYSTEM_ERROR

          public static final AgentError SYSTEM_ERROR

      System error.

    - #### INVALID_AGENT_ID

          public static final AgentError INVALID_AGENT_ID

      Invalid Agent Id.

    - #### OUT_OF_RANGE_SKILL_NUMBER

          public static final AgentError OUT_OF_RANGE_SKILL_NUMBER

      Out Of Range Skill Number.

    - #### AGENT_BUSY_ON_SKILL

          public static final AgentError AGENT_BUSY_ON_SKILL

      Agent Busy on Skill.

    - #### INVALID_EAS_SKILL

          public static final AgentError INVALID_EAS_SKILL

      Invalid EAS skill.

    - #### MAX_AGENT_SKILLS_REACHED

          public static final AgentError MAX_AGENT_SKILLS_REACHED

      Max Agent Skills Reached.

    - #### EXPERT_AGENT_SELECTION_DISABLED

          public static final AgentError EXPERT_AGENT_SELECTION_DISABLED

      Expert Agent Selection Disabled.

    - #### EAS_SKILLS_DISABLED

          public static final AgentError EAS_SKILLS_DISABLED

      Expert Agent Selection (EAS) Skills Disabled.

    - #### INVALID_CLASS_OF_SERVICE_RESTRICTION

          public static final AgentError INVALID_CLASS_OF_SERVICE_RESTRICTION

      Invalid Class Of Restriction.

    - #### INVALID_USER

          public static final AgentError INVALID_USER

      Invalid User.

    - #### AGENT_TENANT_NUMBER_ISSUE

          public static final AgentError AGENT_TENANT_NUMBER_ISSUE

      Agent Tenant Number Issue.

    - #### SKILL_TENANT_NUMBER_ISSUE

          public static final AgentError SKILL_TENANT_NUMBER_ISSUE

      Skill Tenant Number Issue.

    - #### INVALID_SKILL_LEVEL

          public static final AgentError INVALID_SKILL_LEVEL

      Invalid Skill Level.

    - #### SEND_STATION_SERVER_FAILURE

          public static final AgentError SEND_STATION_SERVER_FAILURE

      Send to Station Server Failure.

    - #### SKILL_CHANGE_SAVE_FAILURE

          public static final AgentError SKILL_CHANGE_SAVE_FAILURE

      Skill Change Save Failed.

    - #### TIMEOUT

          public static final AgentError TIMEOUT

      Timeout

  - ### Method Detail

    - #### values

          public static AgentError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentError c : AgentError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null